%global srcname ifaddr

Name:           python-%{srcname}
Version:        0.2.0
Release:        %mkrel 3
Summary:        Python library that allows you to find all the IP addresses of the computer
Group:          Development/Python

License:        MIT
URL:            https://pypi.org/project/ifaddr/
Source:         %{pypi_source}

BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
ifaddr is a small Python library that allows you to find all the IP addresses
of the computer.

%package -n python3-%{srcname}
Summary:        Python3 library that allows you to find all the IP addresses of the computer
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
ifaddr is a small Python3 library that allows you to find all the IP addresses
of the computer.


%prep
%autosetup -n %{srcname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ifaddr

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst



%changelog
* Sat Mar 01 2025 daviddavid <daviddavid> 0.2.0-3.mga10
+ Revision: 2154079
- rebuild for python 3.13

* Mon Dec 18 2023 daviddavid <daviddavid> 0.2.0-2.mga10
+ Revision: 2018920
- rebuild for py3.12

* Mon Sep 11 2023 papoteur <papoteur> 0.2.0-1.mga10
+ Revision: 1986238
- new 0.2.0

* Thu Mar 24 2022 umeabot <umeabot> 0.1.7-2.mga9
+ Revision: 1824076
- Mageia 9 Mass Rebuild

* Sat Mar 05 2022 guillomovitch <guillomovitch> 0.1.7-1.mga9
+ Revision: 1788971
- imported package python-ifaddr


* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.1.7-4
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Jul 18 2020 Peter Robinson <pbrobinson@fedoraproject.org> - 0.1.7-1
- Update to 0.1.7

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.1.6-7
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.1.6-5
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.1.6-4
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Dec 27 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.6-1
- Initial package
